%define module Digest-SHA

Name: perl-%module
Version: 5.45
Release: alt1

Summary: Perl extension for SHA-1/224/256/384/512
License: GPL or Artistic
Group: Development/Perl

URL: http://search.cpan.org/dist/%module/
Source: http://www.cpan.org/modules/by-module/Digest/%module-%version.tar.gz

# Automatically added by buildreq on Tue Jun 26 2007
BuildRequires: perl-Test-Pod perl-Test-Pod-Coverage

%description
Digest::SHA is a complete implementation of the NIST Secure Hash
Standard. It gives Perl programmers a convenient way to calculate
SHA-1, SHA-224, SHA-256, SHA-384, and SHA-512 message digests.
The module can handle all types of input, including partial-byte data.

%prep
%setup -n %module-%version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc examples/dups
%_bindir/*
%perl_vendor_archlib/Digest/
%perl_vendor_archlib/auto/Digest/
%_man1dir/*
%_man3dir/*

%changelog
* Tue Jun 26 2007 Victor Forsyuk <force@altlinux.org> 5.45-alt1
- 5.45

* Thu Dec 14 2006 Victor Forsyuk <force@altlinux.org> 5.44-alt1
- 5.44

* Thu Aug 31 2006 Victor Forsyuk <force@altlinux.ru> 5.43-alt1
- Initial build.
